org.apache.tinkerpop.gremlin

## Class GraphManager

- java.lang.Object
- - org.apache.tinkerpop.gremlin.GraphManager

-     public class GraphManager
      extends Object

  Holds objects specified by the test suites supplying them in a static manner to the test cases.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphManager.ManagedGraphProvider` This class provides a way to intercepts calls to `Graph` implementation's `GraphProvider` instances.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphProvider` | `getGraphProvider()` Gets the `GraphProvider` from the current test suite and wraps it in a `GraphManager.ManagedGraphProvider`.
    `static TraversalEngine.Type` | `getTraversalEngineType()`
    `static GraphProvider` | `setGraphProvider(GraphProvider graphProvider)`
    `static TraversalEngine.Type` | `setTraversalEngineType(TraversalEngine.Type traversalEngine)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphManager

          public GraphManager()

  - ### Method Detail

    - #### setGraphProvider

          public static GraphProvider setGraphProvider(GraphProvider graphProvider)

    - #### getGraphProvider

          public static GraphProvider getGraphProvider()

      Gets the `GraphProvider` from the current test suite and wraps it in a `GraphManager.ManagedGraphProvider`.

    - #### setTraversalEngineType

          public static TraversalEngine.Type setTraversalEngineType(TraversalEngine.Type traversalEngine)

    - #### getTraversalEngineType

          public static TraversalEngine.Type getTraversalEngineType()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.